Katello - Bug #7059

unable to advance through paged results from hammer subscription list
08/13/2014 05:32 AM - Martin Bacovsky

Status: Closed
Priority: Normal
Assignee: Martin Bacovsky
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1093347 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/457
2
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1093347
Description of problem:
Attempting to view all subscriptions through hammer cli limits me to seeing only 20 subscriptions.

Version-Release number of selected component (if applicable):
RHEL 6.5 2.6.32-431.11.2.e16.x86_64

Satellite 6.0.3

candlepin-0.9.7-1.el6_5.noarch

katello-1.5.0-20.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-18.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:

1. Upload manifest

2. list all subscriptions for that manifest: hammer subscription list --organization-id perf
3.

Actual results:
The output of the command shows 20 subscriptions.

Expected results:
A mechanism to continue advancing through the subscriptions.

Additional info:

Associated revisions

Revision d0f4ec7d - 08/09/2014 04:46 AM - Martin Bacovsky
Fixes #7059 - enable pagination in subscriptions (API)

Revision 0561e757 - 08/15/2014 01:57 PM - Walden Raines
Merge pull request #4572 from mbacovsky/7059_subscription_pagination

Fixes #7059 - enable pagination in subscriptions (API)

History

#1 - 08/13/2014 06:49 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4572 added
https://bugzilla.redhat.com/show_bug.cgi?id=1093347

- Pull request deleted ()

#2 - 08/14/2014 10:08 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/15/2014 02:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|d0f4ec7d8cb07a228715bca8bfb825af59fcd161.

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
